Bug 1680 - booting takes much longer than it should
booting takes much longer than it should
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-22 16:53 EST by witten
Modified: 2014-03-16 22:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-24 11:01:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description witten 1999-03-22 16:53:03 EST
During boot with Redhat 5.9, the system hangs for about 45
seconds after printing "INIT: version 2.74 booting". Then it
prints "NET4: Unix domain sockets 1.0 for Linux..." and
pauses for another 15 seconds or so before continuing on
with the boot messages.
Comment 1 Bill Nottingham 1999-03-22 17:38:59 EST
Try upgrading to the latest initscripts (3.96-4); it's
available at ftp.redhat.com/starbuck & rawhide.redhat.com.

Does that fix your problem?
Comment 2 witten 1999-03-23 03:17:59 EST
Nope. I upgraded to the very newest (initscripts-3.96-5), and the long
delay at that certain point still occurs during boot. I'm not sure
what the system could possibly be doing.
Comment 3 Bill Nottingham 1999-03-23 10:45:59 EST
Is this directly after it enters runlevel 3/5, and
before it starts any services, or is it between
particular services?
Comment 4 witten 1999-03-23 13:21:59 EST
Apparently the long delay is immediately after it enters runlevel 3,
before any services begin.
Comment 5 Bill Nottingham 1999-03-23 14:05:59 EST
Actually, the init-2.74 is before it even goes into
a runlevel - is it before the 'Activating swap partitions'
message?
Comment 6 witten 1999-03-23 15:47:59 EST
Yeah. The sequence is like this:

INIT: version 2.74 booting
[~45 second pause]
NET4: Unix domain sockets 1.0 for Linux NET4.0
[~15 second pause]
Activating swap partitions
[no pause; rest of boot messages display]
Comment 7 Bill Nottingham 1999-03-23 15:55:59 EST
Weird. Edit /etc/rc.d/rc.sysinit, so the first line
is
#!/bin/sh -x

and the three lines after "# Rerun ourselves through initlog"
are commented out.

What lines is it hanging between?
Comment 8 witten 1999-03-23 16:16:59 EST
It's hanging before any of that output is spewed onto the screen. With
your changes, it's just about the same sequence as before: INIT, big
pause, NET4, pause, then a bunch of output from rc.sysinit scrolls by
quickly.
Comment 9 Bill Nottingham 1999-03-23 16:22:59 EST
OK. You can revert those changes, then.
Does
- rpm -V initscripts, rpm -V SysVinit show anything strange
(aside from the rc.sysinit you just edited)
- what kernel are you running?
Comment 10 witten 1999-03-23 16:30:59 EST
For rpm -V SysVinit, nothing.
For rpm -V initscripts:
S.5....T c /etc/ppp/ip-down
S.5....T c /etc/ppp/ip-up
S.5....T c /etc/rc.d/rc.local
.......T c /etc/rc.d/rc.sysinit
S.5....T c /etc/sysconfig/network-scripts/ifcfg-lo

All of these (except for ifcfg-lo) are changes I've made myself, and
these particular scripts shouldn't even be running at the time INIT is
displayed during boot, right? They come later on in the boot process.
Comment 11 Bill Nottingham 1999-03-23 16:43:59 EST
correct. What kernel are you running - is it a RH one,
or one you compiled yourself?
Comment 12 witten 1999-03-23 16:52:59 EST
A 2.2.3 kernel I compiled myself. I probably should have mentioned
that. However, it's pretty standard. The only halfway exotic thing in
it is framebuffer support.

I'm getting some errors during boot (later on) about devpts.o
unresolved symbols. Could this error be in any way causing the lengthy
pause after INIT?
Comment 13 Bill Nottingham 1999-03-23 17:34:59 EST
no, that shouldn't be a problem. Can you try booting
with a Red Hat kernel just to see if it still hangs?
Comment 14 witten 1999-03-23 23:13:59 EST
The hang goes away with a stock 2.2.3-5 Redhat kernel. Odd. The hang
only started happening after I switched from Redhat 5.2 to Starbuck.
Comment 15 Bill Nottingham 1999-03-24 11:01:59 EST
I booted with the kernel you sent and also one compiled
with the same .config file - no hang. One thing
I might suggest is to see what happens if you
compiled Unix domain sockets in instead of making
it a module. Other than that, I'm not sure what's
happening on your system.

Note You need to log in before you can comment on or make changes to this bug.